---
title: MediaStreamTrack.clone()
slug: Web/API/MediaStreamTrack/clone
tags:
  - API
  - Media Capture and Streams
  - Media Streams API
  - MediaStreamTrack
  - Method
  - Reference
  - clone
---
<div>{{APIRef("Media Capture and Streams")}}</div>

<p>The <strong><code>clone()</code></strong> method of the {{domxref("MediaStreamTrack")}} interface creates a duplicate of the <code>MediaStreamTrack</code>. This new <code>MediaStreamTrack</code> object is identical except for its unique {{domxref("MediaStreamTrack.id", "id")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">const <em>newTrack</em> = <em>track</em>.clone()</pre>

<h3 id="Return_value">Return value</h3>

<p>A new {{domxref("MediaStreamTrack")}} instance which is identical to the one <code>clone()</code> was called, except for its new unique {{domxref("MediaStreamTrack.id", "id")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Media Capture', '#dom-mediastreamtrack-clone', 'clone()')}}</td>
   <td>{{Spec2('Media Capture')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaStreamTrack.clone")}}</p>
